Subject: Re: [PATCH net] net: ti: icssg-prueth: Fix race condition for VLAN table access

From: Jakub Kicinski <[email-masked]>
Date: Fri, 4 Oct 2024 13:07:55 -0700

On Fri, 4 Oct 2024 11:46:10 +0100 Simon Horman wrote:
> > 1. Move the documentation to kdoc - This is will result in checkpatch
> > 2. Keep the documentation in kdoc as well as inline - This will result
> > in no warnings but duplicate documentation which I don't think is good.
> > 
> > I was not sure which one takes more precedence check patch or kdoc, thus
> > put it inline thinking fixing checkpatch might have more weightage.
> > 
> > Let me know what should be done here.  
> 
> FWIIW, my preference would be for option 2.

Of the two options I'd pick 1, perhaps due to my deeply seated
"disappointment" in the quality of checkpatch warnings :)
Complaining about missing comment when there's a kdoc is a false
positive in my book. But option 2 works, too.

I haven't tested it but there's also the option 3 - providing 
the kdoc inline, something like:

+	/** @vtbl_lock: Lock for vtbl in shared memory */
+	spinlock_t vtbl_lock;

Again, no strong preference on which option you choose.
kdoc warnings may get emitted during builds so we should avoid them.